Bug 870095 - Avoid passing VM.vmPayload field data to client
Avoid passing VM.vmPayload field data to client
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
Unspecified Unspecified
high Severity unspecified
: ---
: 3.3.0
Assigned To: Einav Cohen
Pavel Stehlik
Depends On:
  Show dependency treegraph
Reported: 2012-10-25 10:35 EDT by vszocs
Modified: 2015-09-22 09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-05-22 16:06:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description vszocs 2012-10-25 10:35:14 EDT
Since "vmPayload" field in VM class is not "final", and since there's no custom field (de)serializer for VM class on frontend, entire "vmPayload" data is serialized and passed to client for each VM-related query. In practice, this is very inefficient when doing data refresh queries each few seconds.

This should be solved by writing custom field (de)serializer for VM class, which removes unnecessary "vmPayload" data.

Note You need to log in before you can comment on or make changes to this bug.